## emacs-cond-let 0.1.1

=== debian/changelog ===
emacs-cond-let (0.1.1-2) unstable; urgency=medium

  * Update package description
    - Move the ALPHA release warning to the end.
    - Fix typo in description.
  * Add missing copyright holders in d/copyright
    - To address comments by FTP master reviewers.
  * Drop "Rules-Requires-Root: no" from d/control
    - This becomes the default since dpkg 1.22.13 and no longer needed.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 07 Oct 2025 10:52:25 -0700

emacs-cond-let (0.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #1114809)

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 09 Sep 2025 23:58:13 -0700

## emacs-cond-let 0.2.1

=== Makefile ===
-include .config.mk

PKG = cond-let

ELS   = $(PKG).el
ELS  += $(PKG)-tests.el
ELCS  = $(ELS:.el=.elc)

$(PKG).elc:
$(PKG)-tests.elc: $(PKG).elc

DEPS  =

LOAD_PATH ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH += -L .

EMACS       ?= emacs
EMACS_ARGS  ?=
EMACS_Q_ARG ?= -Q
EMACS_BATCH ?= $(EMACS) $(EMACS_Q_ARG) --batch $(EMACS_ARGS) $(LOAD_PATH)

all: lisp

help:
	$(info make all      -- Build lisp)
	$(info make lisp     -- Build lisp)
	$(info make redo     -- Build lisp from scratch)
	$(info make test     -- Run tests)
	$(info make clean    -- Remove built files)
	@printf "\n"

redo: clean lisp

lisp: $(ELCS) autoloads check-declare

autoloads: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS_BATCH) --funcall batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS_BATCH) --eval "(check-declare-directory default-directory)"

test: lisp
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	-l ert -l $(PKG)-tests.el -f ert-run-tests-batch-and-exit

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS_BATCH) --load autoload --eval "\
(let* ((file (expand-file-name \"$@\"))\
       (generated-autoload-file file)\
       (coding-system-for-write 'utf-8-emacs-unix)\
       (backup-inhibited t)\
       (version-control 'never)\
       (inhibit-message t))\
  (write-region (autoload-rubric file \"package\" t) nil file)\
  (update-directory-autoloads default-directory))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

## emacs-cond-let 0.2.0

=== debian/changelog ===
emacs-cond-let (0.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 04 Dec 2025 18:32:49 -0800

=== debian/control ===
Source: emacs-cond-let
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.7.2
Homepage: https://github.com/tarsius/cond-let
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-cond-let
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-cond-let.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-cond-let
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: Additional and improved binding conditionals
 Emacs provides the binding conditionals `if-let', `if-let*',
 `when-let', `when-let*', `and-let*' and `while-let'.
 .
 This package implements the missing `and-let' and `while-let*',
 and the original `cond-let', `cond-let*', `and$' and `and>'.
 .
 This package additionally provides more consistent and improved
 implementations of the binding conditionals already provided by
 Emacs.  Merely loading this library does not shadow the built-in
 implementations; this can optionally be done in the context of
 an individual library, as described below.
 .
 This is an ALPHA release!
 Breaking changes are possible!

## emacs-cond-let 0.2.1

=== debian/changelog ===
emacs-cond-let (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 02 Jan 2026 18:47:39 -0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: emacs-cond-let
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Xiyue Deng <manphiz@gmail.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/tarsius/cond-let
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-cond-let
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-cond-let.git

## emacs-cond-let 0.2.2

=== debian/changelog ===
emacs-cond-let (0.2.2-1) unstable; urgency=medium

  * New upstream release
  * Update Debian copyright year in d/copyright

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 06 Feb 2026 16:43:56 -0800

=== debian/watch ===
Version: 5

Template: Github
Owner: tarsius
Project: cond-let
